Core - Task # 57196

Epic # 55070 (Accepted): Workpackages
Epic # 55066 (New): WP: Security enhancements
Story # 56052 (Resolved): Implement CSRF Protection for ajax.php

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:

Created: 2014-03-23 Assigned To:

Updated: 2014-03-23 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Protect Ajax calls of core extensions

Description

All core extensions need to benefit from the new Ajax API

Related issues:

related to Core - Bug # 57708: No description inside t3editor are loaded Resolved 2014-04-07

Associated revisions

Revision a51¢3cf7 - 2014-03-23 14:17 - Helmut Hummel

[TASK] Protect Ajax calls of core extensions

All core extensions need to benefit from
the new Ajax APl and will be CSRF protected by that.

Resolves: #57196

Releases: 6.2

Change-Id: 18f6f45fc9426a0e9ae15e61670f52b7cfof461af
Reviewed-on: https://review.typo3.org/28654

Reviewed-by: Markus Klein
Tested-by: Markus Klein

History

#1 - 2014-03-23 01:15 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28654

#2 - 2014-03-23 14:16 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28654
#3 - 2014-03-23 14:31 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a51c3cf71c9e124a383ee4e124070df7dc110fb7.

2015-08-04 22



